using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Core.Service.Role
{
    public interface ISysUserAreaService
    {
        Task DeleteUserAreaListByAreaCodeList(List<string> areaCodeList);
        Task DeleteUserAreaListByUserId(string userId);
        Task<List<string>> GetUserAreaIdList(string userId);
        Task GrantData(UpdateUserInput input);
    }
}
